viewmol (2.4.1-26) unstable; urgency=medium

  * debian patch declare_encoding.patch declares encoding of
    writegauss.py as latin1 (l.25 '\xa9' ©). Closes: #486612.
  * debhelper compatibility level 12:
    Build-Depends: debhelper-compat (= 12)
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Feb 2020 18:39:43 +0800

viewmol (2.4.1-25) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Ignore clean target since its calling the unpatched source/getmachine
    script which is broken
  * DEP3

 -- Andreas Tille <tille@debian.org>  Fri, 21 Sep 2018 16:05:43 +0200

viewmol (2.4.1-24) unstable; urgency=medium

  * Ensure that viewmol is only built with python2.
  * Remove obsolete debian/pycompat.
  * Remove viewmol menu file, see #741573.
  * Update viewmol.desktop: remove Encoding and MiniIcon keys,
    add Keywords key, switch to higher resolution icon.
  * Use secure URI for Vcs-Git.
  * Update package description synopsis.
  * Fix spelling errors in binary, thanks Lintian.
  * Bump Standards-Version to 3.9.8, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Tue, 16 Aug 2016 11:32:58 +0200

viewmol (2.4.1-23) unstable; urgency=medium

  * Change maintainer to Debichem Team, add myself to uploaders
    (with Drew Parsons' blessing), update Vcs-* fields.
  * Revert pre-applying patches 011_getmachine_HURD.diff and
    150-getmachine_multiarch.patch.
  * Switch to source format 3.0 (quilt), drop d/README.source,
    d/source.lintian-overrides and Build-Depends on quilt.
  * Switch to debhelper (>= 9), Build-Depends on dh-python
    instead of python-support. Closes: #786214
  * Remove gbp.conf since debian-branch is named 'master' in new Vcs.
  * Switch to minimized dh(1).
  * Machine-readable debian/copyright.
  * Bump Standards-Version to 3.9.6, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Tue, 18 Aug 2015 18:04:52 +0200

viewmol (2.4.1-22) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Add debian/gbp.conf
  * Add Homepage and Vcs fields

  [ Graham Inggs ]
  * Pre-apply debian/patches/150-getmachine_multiarch.patch.
  * Update debian/rules: configure during the build-arch target.
    Closes: #763909

 -- Graham Inggs <graham@nerve.org.za>  Wed, 05 Nov 2014 11:59:03 +0200

viewmol (2.4.1-21) unstable; urgency=medium

  * Team upload.
  * Create executable on all architectures (Thanks for the patch to
    Graham Inggs <graham@nerve.org.za>)
    Closes: #763909

 -- Andreas Tille <tille@debian.org>  Mon, 03 Nov 2014 13:52:40 +0100

viewmol (2.4.1-20) unstable; urgency=low

  * Use dh_quilt_patch instead of the xsfbs scripts.
  * Allow viewmol to launch from the Gnome menus: 
    Remove Path=$HOME from viewmol.desktop, since Gnome cannot handle
    environment variables ($HOME). Applied to patch 110_desktop_app.diff.
    Closes: #709304.
  * Build against libmotif-dev not lesstif2-dev. Closes: #714671.
  * Don't need libxp-dev Build-Depends (Xprint is not actually used).
    Closes: #623665.
  * Lintian fixes:
      - add build-arch, build-indep to debian/rules.
      - leave binary hardening unhandled for now: viewmol has an
        inconvenient build system in the form of source/getmachine
  * Standards-Version: 3.9.4

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Sep 2013 13:20:52 +1000

viewmol (2.4.1-19) unstable; urgency=low

  * Added watch file. Thanks Daniel Leidert. Closes: #675831.

 -- Drew Parsons <dparsons@debian.org>  Sat, 17 Nov 2012 17:27:44 +1100

viewmol (2.4.1-18) unstable; urgency=low

  * Build-depends: libpng-dev not libpng12-dev.  Closes: #662535.
  * Update Build-depends: libtiff5-dev not libtiff4-dev
  * Standards-version: 3.9.3
  * In debian/rules:
    - dh_pysupport is deprecated, use dh_python2 instead
    - dh_clean -k is deprecated; use dh_prep instead

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Jun 2012 12:26:36 +1000

viewmol (2.4.1-17) unstable; urgency=low

  * Pre-apply the HURD patch 011_getmachine_HURD.diff from bug#534330
    in order to allow the HURD to be recognised during debian/rules
    clean. This rule is run before patch by dpkg-buildpackage.
    (Probably not safe to set the dependency clean: patch).

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Sep 2010 11:08:49 +1000

viewmol (2.4.1-16) unstable; urgency=low

  * Patch 011_getmachine_HURD.diff lets the getmachine build script
    recognise the Hurd.  Thanks Barry deFreese. Closes: #534330.
  * Add debian/README.source to declare use of quilt patches via xsfbs.
  * Remove dh_desktop from debian/rules (deprecated now).
  * Standards-Version: 3.9.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Aug 2010 21:20:24 +1000

viewmol (2.4.1-15) unstable; urgency=low

  * Transfer to group maintainership with Debian Science.
  * Standards version: 3.8.1.
  * Build-Depends: quilt. debian/xsfbs borrowed from XSF (Xorg
    packaging) to handle quilt patches. Source patches from previous
    debian diff split into separate diffs in debian/patches:
    	   010_build_scripts.diff
	   100_locale_exception.diff
	   110_desktop_app.diff
	   120_PyObject.diff
	   130_DEFAULTPATH.diff
	   140_bin_awk.diff

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Mar 2009 16:46:00 +1100

viewmol (2.4.1-14) unstable; urgency=low

  * Add symlink from main dir /usr/lib/viewmol to docs. Closes: #478551.
  * Standards-Version: 3.8.0.
  * Specify that copyright is GPL v2.
  * Add dh_desktop to debian/rules to register mimetypes in desktop file.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Feb 2009 23:44:29 +1100

viewmol (2.4.1-13) unstable; urgency=low

  * Use PyObject_Del to deallocate PyObjects instead of PyMem_DEL.
    Thanks Barry deFreese for the patch.  Closes: #469008.
  * Don't create separate links for KDE support files in /usr/share/applnk
    anymore. These are handled generically (for all compliant Desktop
    environments including Gnome) via
    /usr/share/applications/viewmol.desktop.  Closes: #466998.
  * Update debian/viewmol.sgml and doc-base to encode Jörg-Rüdiger's
    name in UTF-8. Regenerate viewmol.1 using docbook2man.
  * Where pythonlib is defined in source/getmachine, add 
    	  | xargs echo | awk '{print $1}'
    to ensure only one path is passed to dirname.

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Mar 2008 16:02:08 +1100

viewmol (2.4.1-12) unstable; urgency=low

  * What's so special about American English?  Change en_US locale to
    just en in /usr/lib/viewmol/locale (and /usr/share/viewmol/locale)
    and use it as a fallback in setAtomColors.py. Move existing
    /etc/viewmol/locale/en_US to .../en in preinst. Closes: #446755.
  * Disable kde/install's copying of "uninstall" in /usr/local.
  * Link 32x32/apps/viewmol.png into /usr/share/pixmaps so Gnome can
    get the menu icon too.
  * Standards-Version: 3.7.3.
  * Updated menu section to "Applications/Science/Chemistry".
    Use /usr/share/pixmaps/viewmol.png as icon.
  * Delete libraries from LIBS in source/getmachine flagged by
    dpkg-shlibdeps as not actually used by viewmol (-lz -lXp -lXext
    -lpthread -lutil -ldl).  Likewise remove -lm in source/Makefile
    for tm and readgamess.
  * source/getmachine: use -march instead of -mcpu for i386.

 -- Drew Parsons <dparsons@debian.org>  Mon, 14 Jan 2008 02:28:26 +1100

viewmol (2.4.1-11) unstable; urgency=low

  * Add build support for GNU/kFreeBSD (and probably Hurd too).
    Closes: #415591.

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Jun 2007 10:58:10 +1000

viewmol (2.4.1-10) unstable; urgency=low

  * Update for new python policy and new default python version 2.4,
    use dh_python. Closes: #380982.
  * Change to Depends:, not merely Suggests: python. A debatable point
    since viewmol will in fact work without python, but you do need
    python in order to get the full proffered functionality.
  * Use debhelper 5 (>= 5.0.37.2 to be precise, to use dh_python)

 -- Drew Parsons <dparsons@debian.org>  Sat, 19 Aug 2006 19:00:52 +1000

viewmol (2.4.1-9) unstable; urgency=low

  * Updated Build-Depends to reflect current mesa packages.

 -- Drew Parsons <dparsons@debian.org>  Tue,  6 Jun 2006 23:51:17 +1000

viewmol (2.4.1-8) unstable; urgency=low

  * Added Categories=Education;Science;Chemistry; to
    /usr/share/applnk/Graphics/viewmol.desktop (adds a menu entry to
    freedesktop.org compliant environments). Thanks, Daniel Leidert.
    Closes: #370683.
  * Add #!/usr/bin/awk to readdmol.awk (removes a lintian warning).
  * Standards version 3.7.2.

 -- Drew Parsons <dparsons@debian.org>  Tue,  6 Jun 2006 22:55:28 +1000

viewmol (2.4.1-7) unstable; urgency=low

  * Recompile for new C++ ABI.

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Aug 2005 18:19:06 +1000

viewmol (2.4.1-6) unstable; urgency=medium

  * Exec should be /usr/bin/viewmol not /usr/local/bin/viewmol in
    /usr/share/applnk/Graphics/viewmol.desktop. Closes: #290641.

 -- Drew Parsons <dparsons@debian.org>  Sun, 16 Jan 2005 14:11:50 +1100

viewmol (2.4.1-5) unstable; urgency=high

  * Remarkable. The buildds aren't reporting failure over unknown -mcpu
    either.  Enable -mcpu only for i386 and powerpc (in source/getmachine).

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Dec 2004 10:41:33 +1100

viewmol (2.4.1-4) unstable; urgency=high

  * Use `dpkg --print-architecture` to identify the processor, and only
    compile with -malign-double on i386 (in source/getmachine). Why on earth
    do the buildds say "maybe-successful" when they cannot compile because
    the compilation flags are wrong???

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Dec 2004 19:24:32 +1100

viewmol (2.4.1-3) unstable; urgency=high

  * Actually, remove the Build-Dependency on libdb4.3-dev altogether.
    Viewmol 2.4 no longer compiles with -ldb.  Thank goodness.
    Closes: #286600.
  * Split xlibs-dev again while we're at it.
  * By the way, the russian fonts are working fine after all. Most likely I
    hadn't restarted the X server after installing xfonts-cyrillic.
  * Selecting a language and saving doesn't seem to have any effect when
    viewmol is started the next time, unless you do "xrdb ~/.Xdefaults" or
    login afresh.  Otherwise you need to reset the language again each time.
    This needs to get fixed.  Logged at
    http://sourceforge.net/tracker/index.php?func=detail&atid=106845&aid=1088821&group_id=6845.
  * The menu entries at Annotate and below are not aligned against the
    margin correctly, and some of them are being blanked out by the margin.
    This is logged at
    http://sourceforge.net/tracker/index.php?func=detail&atid=106845&aid=1088824&group_id=6845
  * Did you notice all the scripts are now working in 2.4.1. You can colour
    your atoms various shades of green, or be mesmerised by the demo.

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Dec 2004 16:13:27 +1100

viewmol (2.4.1-2) unstable; urgency=medium

  * Restore lost changelog entries (2.4-2..2.4-5).
  * Reinstate changes to kde/install. Closes: #285409.
  * i386 optimisation is left at i486: tests indicated that i586 offers
    small advantage (in fact performance degraded on my i686 test system).
    As mentioned in README.Debian, recompile for yourself if you use i686.

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Dec 2004 11:01:10 +1100

viewmol (2.4.1-1) unstable; urgency=low

  * New upstream version.
  * Upgraded Build-Depends: libtiff4-dev, libdb4.3-dev
  * Altered Build-Depends: mesag-dev|libgl-dev due to conflict between
    mesag-dev and libgl-dev.
  * Added Suggests: xfonts-cyrillic to help make sure Russian fonts are there
    when needed. Actually, they're screwed anyway. No size 14 koi8 fonts. Pity.
  * Updated the description to that given in the spec file.
  * Compile with -mcpu=i586 on i386.  In my opinion, compiling for i486 runs
    too slow.  Let me know if you really need to run viewmol on a true i486.

 -- Drew Parsons <dparsons@debian.org>  Thu,  2 Dec 2004 01:11:45 +1100

viewmol (2.4-5) unstable; urgency=medium

  * Recompiled against libtiff4 (updated Build-Depends in debian/control).

 -- Drew Parsons <dparsons@debian.org>  Sun,  1 Aug 2004 01:04:44 +1000

viewmol (2.4-4) unstable; urgency=low

  * Removed use of -mcpu altogether from source/getmachine, since it's
    just too much trouble when porting to all architectures.
  * Altered kde/install to install KDE icons in
    /usr/share/icons/crystalsvg, not .../default.kde, since default.kde is
    supposed to be a symlink to crystalsvg, supplied by kdelibs-data.
    Otherwise there will be a problem with viewmol's real default.kde
    directory, if viewmol is installed before kdelibs-data.  Installing
    into crystalsvg was recommended by the KDE guys at the debian-qt-kde
    mailing list. Closes: #254247.

 -- Drew Parsons <dparsons@debian.org>  Wed, 16 Jun 2004 15:06:08 +1000

viewmol (2.4-3) unstable; urgency=low

  * Altered source/getmachine to handle different machine
    architectures under Linux. In particular, use "powerpc" rather
    than "ppc", "i386" instead of "i686" and use -malign-double only
    with "i386".

 -- Drew Parsons <dparsons@debian.org>  Mon, 14 Jun 2004 16:31:52 +1000

viewmol (2.4-2) unstable; urgency=low

  * Rationalised the mesa build-dependencies (libglu-dev, libgl-dev) in
    debian/control.
  * There is some python problem with setAtomColors.py, so remove it
    for now out of scripts into examples.  Let me know if you know how
    to fix it. 

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Jun 2004 18:28:32 +1000

viewmol (2.4-1) unstable; urgency=low

  * New upstream release.
  * Use `uname -m` not `uname -p` in source/getmachine.
    This means my Pentium II compiles with -mcpu=i686, but gcc docs
    say the binary will nevertheless be compatible with i386, so I won't
    fiddle with it further.
  * KDE support files are now installed in their proper place.
  * Russian font references (locale/ru/Viewmol, init.c) changed to refer to
    fixed-cyrillic.  But I couldn't fixed the russian display of the menu and
    the background text at the same time ;(  I left it in favour of the menu.

 -- Drew Parsons <dparsons@debian.org>  Wed,  7 Jan 2004 09:42:51 +1100

viewmol (2.3-7) unstable; urgency=low

  * Recompile for new default python version, python 2.3.
  * Changed Build-Depends to libdb4.1-dev from libdb2-dev. I wonder if I can
    get rid of it altogether, is it really used?
  * Remove man compilation line from debian/rules, along with
    Build-Dependency on docbook-to-man.  Compile the man page once for all
    during packaging, using docbook2man (gives better results than
    docbook-to-man). Fixed some unknown entities in viewmol.sgml. Use
    dh_installman not dh_installmanpages in debian/rules.
  * Standards version 3.6.1.
  * BTW, I've submitted a patch to convert the development version (v2.4)
    to automake, but there were problems with it for non-Debian systems.
    If you want to help fix it up, give me (or upstream) a buzz.

 -- Drew Parsons <dparsons@debian.org>  Tue,  9 Sep 2003 19:32:19 +1000

viewmol (2.3-6) unstable; urgency=low

  * Standards version 3.5.8.
  * Changed menu entry to Apps/Science, hint "Chemistry".
  * Suggests: openbabel (babel directory no longer needed in
    /usr/share/doc/viewmol).
  * Bumped Build-Depends on lesstif-dev to lesstif2-dev (seems to work fine).
  * Removed debian/conffiles: debhelper now marks everything in /etc as a
    conffile.
  * As a side effect, automated dependency on python is updated to current
    default (python2.2).  Closes: #171044.

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Dec 2002 20:10:04 +1100

viewmol (2.3-5) unstable; urgency=low

  * Added doc-base control file.
  * Standards version 3.5.6.0.

 -- Drew Parsons <dparsons@debian.org>  Sat,  8 Dec 2001 01:01:22 +1100

viewmol (2.3-4) unstable; urgency=low

  * Added -lXmu to default LIBS in source/getmachine. Closes: #90459 (really).

 -- Drew Parsons <dparsons@debian.org>  Tue,  3 Apr 2001 23:33:24 +1000

viewmol (2.3-3) unstable; urgency=low

  * Added xlibs-dev to Build-depends.  Closes: #90459.

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Mar 2001 23:15:15 +1000

viewmol (2.3-2) unstable; urgency=low

  * Removed -malign-double from default OPT for Linux in source/getmachine.
    Closes: #89898.

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Mar 2001 00:03:33 +1100

viewmol (2.3-1) unstable; urgency=low

  * Initial Release.  Closes: #89051.
  * DEFAULTPATH in getrc.c changed from /usr/local/lib/viewmol to
    /etc/viewmol.  This defined the default value of $VIEWMOLPATH,
    where viewmolrc resides.
  * Location of supplementary binaries and sources as defined in default
    viewmolrc was split into /usr/lib/viewmol (C binaries) and 
    /usr/share/viewmol (scripts).
  * -m486 option deleted from default OPT definition for Linux in
    source/getmachine.

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Mar 2001 01:14:55 +1100

Local variables:
mode: debian-changelog
End:
